# Uses of Class
org.eclipse.ecf.provider.generic.SOContainer

Packages that use SOContainer
Package
Description
org.eclipse.ecf.provider.generic
org.eclipse.ecf.provider.remoteservice.generic
org.eclipse.ecf.remoteservice.servlet

## Uses of SOContainer in org.eclipse.ecf.provider.generic

Subclasses of SOContainer in org.eclipse.ecf.provider.generic
Modifier and Type
Class
Description
`class`
`ClientSOContainer`
`class`
`ServerSOContainer`
`class`
`SSLClientSOContainer`
`class`
`SSLServerSOContainer`
`class`
`TCPClientSOContainer`
`class`
`TCPServerSOContainer`
Fields in org.eclipse.ecf.provider.generic declared as SOContainer
Modifier and Type
Field
Description
`protected SOContainer`
SOConfig.`container`
`protected SOContainer`
SOContext.`container`
Methods in org.eclipse.ecf.provider.generic that return SOContainer
Modifier and Type
Method
Description
`SOContainer`
SOContainerGroup.`get(String key)`
`SOContainer`
SOContainerGroup.`remove(String key)`
Methods in org.eclipse.ecf.provider.generic with parameters of type SOContainer
Modifier and Type
Method
Description
`String`
SOContainerGroup.`add(String key, SOContainer aSpace)`
Constructors in org.eclipse.ecf.provider.generic with parameters of type SOContainer
Modifier
Constructor
Description
``
`SOConfig(ID sharedObjectID, ID homeContainerID, SOContainer cont, Map dict)`
``
`SOContext(ID objID, ID homeID, SOContainer cont, Map props, IQueueEnqueue queue)`
``
`SOManager(SOContainer cont)`
``
`SOWrapper(SOConfig aConfig, ISharedObject obj, SOContainer cont)`
`protected`
`SOWrapper(org.eclipse.ecf.provider.generic.SOContainer.LoadingSharedObject obj, SOContainer cont)`

## Uses of SOContainer in org.eclipse.ecf.provider.remoteservice.generic

Subclasses of SOContainer in org.eclipse.ecf.provider.remoteservice.generic
Modifier and Type
Class
Description
`class`
`RemoteServiceContainer`

## Uses of SOContainer in org.eclipse.ecf.remoteservice.servlet

Subclasses of SOContainer in org.eclipse.ecf.remoteservice.servlet
Modifier and Type
Class
Description
`class`
`ServletServerContainer`